const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("needinfo", {
    uapp_id: DataTypes.INTEGER,
    channelUserId: DataTypes.STRING(128), //渠道用户唯一码
    diagnosisNo: DataTypes.STRING(128), //诊断单号/申请编号
    corporateNname: DataTypes.INTEGER,//公司名称
    publishName: DataTypes.STRING,//联系人名字
    publishMobile: DataTypes.STRING(50),//联系人手机号
    corporateType: { //店铺类型 电商诊断：qjd/zmd/zyd，直播诊断：qy/gtgsh/mbfqy/flfw
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.corporate_type),
      set: function (val) {
        this.setDataValue("corporateType", val);
        this.setDataValue("corporateTypeName", uiconfig.config.pdict.corporate_type[val]);
      }
    },
    corporateTypeName: DataTypes.STRING,//店铺类型名字 电商诊断：旗舰店/专卖店/专营店，直播诊断：企业/个体工商户/民办非企业/法律服务 --暂不用
    diagnosisType: { //诊断类型 zb/ds
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.diagnosis_type),
      set: function (val) {
        this.setDataValue("diagnosisType", val);
        this.setDataValue("diagnosisTypeName", uiconfig.config.pdict.diagnosis_type[val]);
      }
    },
    diagnosisTypeName: DataTypes.STRING,//诊断类型名字 直播/电商 --暂不用
    diagnosisMode: { //诊断方式 zn/rg
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.diagnosis_mode),
      set: function (val) {
        this.setDataValue("diagnosisMode", val);
        this.setDataValue("diagnosisModeName", uiconfig.config.pdict.diagnosis_mode[val]);
      }
    },
    diagnosisModeName: DataTypes.STRING(50),//诊断方式名字 智能评估/人工评估 --暂不用'
    diagnosisResult: { //诊断结果 tg/wtg/rgshz
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.diagnosis_result),
      set: function (val) {
        this.setDataValue("diagnosisResult", val);
        this.setDataValue("diagnosisResultName", uiconfig.config.pdict.diagnosis_result[val]);
      }
    },
    diagnosisResultName: DataTypes.STRING,//诊断结果名字 通过/未通过/人工审核中 --暂不用
    statusName: DataTypes.STRING,//状态 dcl/gtz/dqrfa/ygb/ywc
    qualificationsPic: DataTypes.JSON,// 基础资质json {}
    brandPic: DataTypes.JSON,// 品牌资质json {}
    industryPic: DataTypes.JSON,// 行业资质json {}
    notes: DataTypes.STRING,//备注
    status: { //状态 后台用 dcl/gtz/dqrfa/ygb/ywc
      //wts未推送,yts已推送,ygj已跟进,ycd已成单
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.diagnosis_status),
      set: function (val) {
        this.setDataValue("status", val);
        this.setDataValue("statusName", uiconfig.config.pdict.diagnosis_status[val]);
      }
    },
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'n_zzzd_need_info',
      validate: {

      },
      indexes: [

      ]
    });
}
